# Using Thumb-2, NEON, and A9 tuning
# Uses --with-tune instead of --with-cpu so that the linker will fix up the Cortex-A8
# erratum, allowing the code to still run on on A8
CONFIG_NAME = cortexa9$(FLOAT_SUFFIX)r1

GCCCONFARGS = --with-mode=thumb --with-arch=armv7-a --with-tune=cortex-a9 --with-fpu=neon --with-float=$(FLOAT_ABI) --build=arm-linux-gnueabi
TUNE_FLAGS ?= -mtune=cortex-a9
NUM_CORES ?= 2
QEMU_TARGETS = --target-list=arm-softmmu,mips-softmmu,arm-linux-user,mips-linux-user
