#! /bin/sh
# Convert a 'standard' command-line into an invocation of a Foundation model.

model="$(which Foundation_v8)"
image="$1"

# Let's see if the image is big-endian
bigendian="$(od -An -v -j5 -N1 -t x1 $image)"

case ${bigendian} in
  " 01")
    bigendian=""
    ;;
  " 02")
    bigendian="--big-endian"
    ;;
  *)
    echo "Unrecognised endianess: ${bigendian}" >&2
    exit 1
    ;;
esac

${model} ${bigendian} --image ${image} --semihost-cmd="$*" --quiet
