# Build and run coremark
#
SUITE = boot-wrapper
BUILD_OPTIONS = nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

MATCH = $(wildcard $(VBUILD)/$(SUITE)*)

build:
	# Hack around not building the uImage
	mkdir -p $(MATCH)/fake/arch/arm/boot
	touch $(MATCH)/fake/arch/arm/boot/uImage
	# Create a fake kernel Makefile
	echo "%:" > $(MATCH)/fake/Makefile
	echo -e "\ttrue" >> $(MATCH)/fake/Makefile
	make -C $(MATCH) CROSS_COMPILE= KERNEL_SRC=fake

install:
	mkdir -p $(VBUILD)/install
	cp -a $(VBUILD)/$(SUITE)*/*axf $(VBUILD)/install

extract: $(B)/$(B).tar
	tar xaf $< -C $(VBUILD)

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
