# Build and run c-ray
#
SUITE = c-ray
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive nocheck

-include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O3 -ffast-math
THREADS ?= 32

# Use the next line to soak up a SMP system.  Some ARM kernels have
# trouble with this and only run one core
# XCFLAGS += -DMULTITHREAD=$(NUM_CORES) -DUSE_PTHREAD

run:
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	for scene in scene sphfract; do \
	for size in 800x600 1024x768; do \
	for rays in 1 8; do \
	echo $$scene-$$size-$$rays: $$(cd $(VBUILD)/$(SUITE)* && cat $$scene | ./c-ray-mt -t $(THREADS) -r $$rays -s $$size -o foo.ppm 2>&1) >> $(STEP).txt; \
	done; done; done; \
	done

build:
	echo CFLAGS=$(VCFLAGS) >> $(STEP).txt
	$(MAKE) -C $(VBUILD)/$(SUITE)* $(PARALLEL) CFLAGS="$(VCFLAGS)"
	$(MAKE) -C $(VBUILD)/$(SUITE)* $(PARALLEL) CFLAGS="$(VCFLAGS)" obj=c-ray-f.o bin=c-ray-f

install:
	cd $(VBUILD) && ln -s $(SUITE)* install

extract: $(TOPDIR)/files/$(SUITE)*.tar*
	tar xaf $< -C $(VBUILD)
