# Build and run coremark
#
SUITE = coremark
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2
UNAME := $(shell uname)

XCFLAGS ?= $(TUNE_FLAGS)

# Use the next line to soak up a SMP system.  Some ARM kernels have
# trouble with this and only run one core
# XCFLAGS += -DMULTITHREAD=$(NUM_CORES) -DUSE_PTHREAD

run:
	echo "Note: All results are estimates." >> $(STEP).txt
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	make -C $(VBUILD)/$(SUITE)* -s rerun UNAME=$(UNAME); \
	cat $(VBUILD)/$(SUITE)*/*.log >> $(STEP).txt; \
	done

ifdef WITH_PGO
build:
	echo PORT_CFLAGS=$(VCFLAGS) >> $(STEP).txt
	echo XCFLAGS=$(XCFLAGS) >> $(STEP).txt
	# readme.txt sets what the training run should be
	make -C $(VBUILD)/$(SUITE)* $(PARALLEL) run3.log REBUILD=1 UNAME=$(UNAME) PORT_CFLAGS="$(VCFLAGS)" XCFLAGS="$(XCFLAGS) -fprofile-generate -DTOTAL_DATA_SIZE=1200 -DPROFILE_RUN=1" >> $(STEP).txt 2>&1
	make -C $(VBUILD)/$(SUITE)* -s clean UNAME=$(UNAME)
	make -C $(VBUILD)/$(SUITE)* $(PARALLEL) load UNAME=$(UNAME) PORT_CFLAGS="$(VCFLAGS)" XCFLAGS="$(XCFLAGS) -fprofile-use" >> $(STEP).txt 2>&1

else
build:
	echo PORT_CFLAGS=$(VCFLAGS) >> $(STEP).txt
	echo XCFLAGS=$(XCFLAGS) >> $(STEP).txt
	make -C $(VBUILD)/$(SUITE)* $(PARALLEL) load UNAME=$(UNAME) PORT_CFLAGS="$(VCFLAGS)" XCFLAGS="$(XCFLAGS)" >> $(STEP).txt 2>&1

endif

install:
	cd $(VBUILD) && ln -s $(SUITE)* install

testsuite:
	true

extract: $(TOPDIR)/files/coremark*.cpt
	$(CCAT) $< | gunzip | tar xaf - -C $(VBUILD)
