# Build and test cortex-strings
#
SUITE = cortex-strings

-include local.mk
include $(TOPDIR)/lib/common.mk

include $(LIBDIR)/steps.mk

CONFIGURE_FLAGS ?=

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && \
	PATH=$(TOP)/$(VBUILD)/prebuilt/bin:$$PATH \
	../../cortex-strings-*/configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

ifdef PREBUILT_TOOLS
extract: $(B)/$(PREBUILT_TOOLS)
	mkdir -p $(VBUILD)/prebuilt
	tar xaf $< -C $(VBUILD)/prebuilt --strip-components=1
endif

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<
	cd $(LBUILD)/cortex-strings-* && ./autogen.sh

# Fetch, if needed
$(B)/%.tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch F=$@
