# Build and run DENBench
#
SUITE = denbench
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
VCFLAGS += -DNDEBUG -DHOST_EXAMPLE_CODE=1

ifdef WITH_PGO
TARGET = pgo-build
else
TARGET = build
endif

# Note: uses the Linaro modified denbench at:
#  https://code.launchpad.net/~linaro-toolchain-wg/linaro-toolchain-benchmarks/denbench

run:
	echo "Note: All results are estimates." >> $(STEP).txt
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	make -C $(VBUILD)/$(SUITE)* -s rerun; \
	cat $(VBUILD)/$(SUITE)*/consumer/*timev2.log >> $(STEP).txt; \
	done

build:
	echo VCFLAGS=$(VCFLAGS) >> $(STEP).txt 2>&1
	make -C $(VBUILD)/$(SUITE)* \
	COMPILER_FLAGS="$(VCFLAGS)" \
	$(TARGET) \
	>> $(STEP).txt 2>&1

extract: $(TOPDIR)/files/$(SUITE)*bzr*.cpt
	rm -rf $(VBUILD)
	mkdir -p $(VBUILD)
	$(CCAT) $^ | tar xjf - -C $(VBUILD)

archive:
	true

install:
	cd $(VBUILD) && ln -fs $(SUITE)*/consumer/gcc/bin install
