# Build and run the EEMBC v1 benchmarks
#
SUITE = eembc
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
VCFLAGS += -DNDEBUG -DHOST_EXAMPLE_CODE=1

MAKE_EXTRAS = \
	COMPILER_FLAGS="$(VCFLAGS)"

ifdef WITH_PGO
TARGET = pgo-build
else
TARGET = build
endif

run:
	echo "Note: All results are estimates." >> $(STEP).txt
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	make -C $(VBUILD)/eembc-linaro-* -s rerun $(MAKE_EXTRAS); \
	cat `find $(VBUILD) -name "gcc_time*.log"` >> $(STEP).txt; \
	done

build:
	echo COMPILER_FLAGS=$(VCFLAGS) >> $(STEP).txt 2>&1
	make -k $(PARALLEL) -C $(VBUILD)/eembc-linaro-* $(TARGET) $(MAKE_EXTRAS) >> $(STEP).txt 2>&1

extract: $(TOPDIR)/files/eembc-linaro-v1*.tar*
	rm -rf $(VBUILD)
	mkdir -p $(VBUILD)
	$(CCAT) $< | tar xjf - -C $(VBUILD)

install:
	rm -rf $(VBUILD)/install
	mkdir $(VBUILD)/install
	cd $(VBUILD) && for i in eembc-linaro-*/*; do \
	if [ -d $$i/gcc/bin ]; then ln -fs ../$$i/gcc/bin install/`basename $$i`; fi; done
