# Build and run the EEMBC v1 benchmarks
#
SUITE = eembc_office
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
VCFLAGS += -DNDEBUG -DHOST_EXAMPLE_CODE=1

MAKE_EXTRAS = \
	COMPILER_FLAGS="$(VCFLAGS)"

run:
	echo "Note: All results are estimates." >> $(STEP).txt
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	make -C $(VBUILD)/eembc* -s rerun $(MAKE_EXTRAS); \
	cat `find $(VBUILD) -name "gcc_time*.log"` >> $(STEP).txt; \
	done

build:
	echo COMPILER_FLAGS=$(VCFLAGS) >> $(STEP).txt 2>&1
	make -k $(PARALLEL) -C $(VBUILD)/eembc* $(TARGET) $(MAKE_EXTRAS) >> $(STEP).txt 2>&1

extract: $(B)/eembc-office+bzr20.tar.xz.cpt
	rm -rf $(VBUILD)
	mkdir -p $(VBUILD)
	$(CCAT) $< | tar xJf - -C $(VBUILD)

install:
	rm -rf $(VBUILD)/install
	mkdir $(VBUILD)/install
	cd $(VBUILD) && for i in eembc*/*/gcc/bin*; do \
	ln -fs ../$$i install/`echo $$i | awk -F/ '{print $$2}'`; done

$(B)/%.cpt:
	make -f $(TOPDIR)/lib/fetch.mk fetch F=$@ CONTEXT=snapshots/prebuilt
