# Builds the latest GDB with similar flags to Ubuntu
#

SUITE = gdb

-include local.mk
include $(TOPDIR)/lib/common.mk

ARCHIVE_BASE = $(B)
GDB_CHECK ?= check
RUNTESTFLAGS ?=

ABSTOPDIR := $(shell cd $(TOPDIR) && pwd)

CONFIGURE_FLAGS = \
	--prefix=$(TOP)/$(VBUILD)/install \
	--with-system-readline \
	--enable-tui \
	--with-expat \
	--with-python \
	$(GDBCONFARGS)

include $(LIBDIR)/steps.mk

# Run the testsuite
testsuite:
	rm -f ~/.dejagnurc
	-$(MAKE) -k $(CHECK_PARALLEL) -sC $(VBUILD)/build/gdb $(GDB_CHECK) RUNTESTFLAGS="$(RUNTESTFLAGS)" >> $(STEP).txt 2>&1

# Configure the product
configure:
	echo $(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && ../../gdb-*.*/configure $(CONFIGURE_FLAGS)) >> $(STEP).txt 2>&1

# Extract from the original tarball
extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)

$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
