# Builds and runs gmpbench
#
SUITE = gmpbench
PUBLISH_SUFFIX = benchmarks

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
# Don't use the assembly backend
CONFIGURE_FLAGS += --host=none

UP = ../../..

configure:
	echo $(CONFIGURE_FLAGS) > $(STEP).txt
	echo CFLAGS=$(VCFLAGS) >> $(STEP).txt
	(cd $(VBUILD)/build && ABI=$(ABI) CFLAGS="$(VCFLAGS)" ../../gmp-*/configure --prefix=$(TOP)/$(VBUILD)/install $(CONFIGURE_FLAGS)) >> $(STEP).txt 2>&1

extract:
	cp -la $(LBUILD)/$(SUITE)-* $(VBUILD)

extract-top: $(TOPDIR)/files/gmp-*.bz2
	tar xaf $< -C $(LBUILD)
	tar xaf $(TOPDIR)/files/$(SUITE)-* -C $(LBUILD)
	gcc -o $(LBUILD)/gexpr $(TOPDIR)/files/gexpr.c -lm

run:
	(cd $(VBUILD)/$(SUITE)-* && \
	PATH=$(shell pwd)/$(LBUILD):$$PATH CFLAGS="$(VCFLAGS) -L../install/lib" \
	./runbench) >> $(STEP).txt 2>&1
