# Build and run GNU Go as a benchmark
#
SUITE = gnugo
PUBLISH_SUFFIX = benchmarks

BUILD_OPTIONS += nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)

run:
	-for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	(cd $(TOPDIR)/files/gnugo && \
	$(TIME) -o $(TOP)/$(STEP).txt -a $(TOP)/$(VBUILD)/install/bin/gnugo --quiet --mode gtp --gtp-input viking.tst); \
	done

configure:
	(cd $(VBUILD)/build && CFLAGS="$(VCFLAGS)" LDFLAGS="$(VLDFLAGS)" ../../gnugo-*/configure --prefix=$(TOP)/$(VBUILD)/install) >> $(STEP).txt 2>&1

extract-top: $(TOPDIR)/files/gnugo-3*.tar.gz
	tar xaf $< -C $(LBUILD)
