# Build and test binutils with the gold linker
#
SUITE = gold

-include local.mk
include $(TOPDIR)/lib/common.mk

include $(LIBDIR)/steps.mk

SOURCE = $(subst gold,binutils,$(B))/$(subst gold,binutils,$(B)).tar
# As at 2011-04-08, Ubuntu configures on x86_64 with:
#
#  --with-sysroot=/
#  --enable-shared
#  --enable-plugins
#  --prefix=/usr
#  --build=x86_64-linux-gnu
#  --host=x86_64-linux-gnu
#  --with-pkgversion="GNU Binutils for Ubuntu"
#  --disable-werror
#  --enable-ld=default
#  --enable-gold

CONFIGURE_FLAGS = \
	--with-sysroot=/ \
	--enable-shared \
	--enable-plugins \
	--disable-werror \
	--disable-ld \
	--enable-gold

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && \
	../../binutils-*.*/configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

extract-top: $(SOURCE)
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(SOURCE):
	make -f $(TOPDIR)/lib/fetch.mk fetch F=$(SOURCE)
