# Build linaro-toolchain-recipes
#
SUITE = linaro-toolchain-recipes

-include local.mk
include $(TOPDIR)/lib/common.mk

include $(LIBDIR)/steps.mk

http_proxy = http://proxy:8123/
export http_proxy

build:
	make -C $(VBUILD)/$(SUITE)*/cross-gcc $(PARALLEL) > $(STEP).txt 2>&1
	make -C $(VBUILD)/$(SUITE)*/baremetal-gcc $(PARALLEL) >> $(STEP).txt 2>&1

extract: $(B)/$(B).tar
	tar xaf $< -C $(VBUILD)
	cd $(VBUILD) && ln -s $(SUITE)* build

get-sizes:
	echo du: >> $(STEP).txt
	(cd $(VBUILD) && du -ab `find . -name "*.tar.*"`) >> $(STEP).txt
	echo md5sums: >> $(STEP).txt
	(cd $(VBUILD) && md5sum `find . -name "*.tar.*"`) >> $(STEP).txt

install:
	true

archive:
	true

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
