# Build llvm
#

SUITE = llvm

-include local.mk
include $(TOPDIR)/lib/common.mk

CHECK ?= check
ARCHIVE_BASE = $(B)

CONFIGURE_FLAGS = \
	--prefix=$(TOP)/$(VBUILD)/install \
	--enable-targets=host \
 	--build=armv7l-unknown-linux-gnueabihf \
 	--with-float=hard \
 	--with-abi=aapcs-vfp \
 	--with-cpu=cortex-a9 \
 	--with-fpu=neon \
 	--enable-optimized \
 	--enable-assertions

include $(LIBDIR)/steps.mk

configure:
	echo $(CONFIGURE_FLAGS) > $(@:%.stamp=%.txt)
	(cd $(VBUILD)/build && ../../llvm-*.*/configure $(CONFIGURE_FLAGS)) >> $(STEP).txt 2>&1

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
