# Build and run the nbench suite
#
SUITE = nbench
PUBLISH_SUFFIX = benchmarks
BUILD_OPTIONS = noarchive nocheck

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
VCFLAGS += -static

run:
	for i in $$(seq $(BENCH_RUNS)); do \
	(cd $(VBUILD)/$(SUITE)-* && ./nbench) >> $(STEP).txt 2>&1; \
	done

# nbench can't be built in parallel
build:
	echo CFLAGS=$(VCFLAGS) > $(STEP).txt
	make -k -C $(VBUILD)/$(SUITE)-* CFLAGS="$(VCFLAGS)" > $(STEP).txt 2>&1

install:
	cd $(VBUILD) && ln -s $(SUITE)* install

extract: $(TOPDIR)/files/$(SUITE)-*.tar.*z
	tar xaf $< -C $(VBUILD)
	cat $(TOPDIR)/files/$(SUITE)/*.patch | patch -p1 -d $(VBUILD)/$(SUITE)-*
