# Builds and runs povray as a benchmark
#
SUITE = povray
PUBLISH_SUFFIX = benchmarks

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O1 $(TUNE_FLAGS)

# Pass --disable-optimiz so that we can use CFLAGS instead
CONFIGURE_FLAGS += \
	--without-x \
	--disable-optimiz \
	COMPILED_BY="Linaro Toolchain Builder <michael.hope+cbuild@linaro.org>"

# The PNG version detection is broken.  Work around it at build time
BUILDFLAGS = INCPNG="$(shell pkg-config --cflags libpng)" LIBPNG="$(shell pkg-config --libs libpng)" POVLIBS=

configure:
	echo $(CONFIGURE_FLAGS) > $(STEP).txt
	echo CXXFLAGS=$(VCFLAGS) >> $(STEP).txt
	(cd $(VBUILD)/build && \
		CFLAGS="$(VCFLAGS)" \
		CXXFLAGS="$(VCFLAGS)" \
		../../$(SUITE)-*/configure --prefix=$(TOP)/$(VBUILD)/install $(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

extract-top: $(TOPDIR)/files/$(SUITE)-*.bz2
	tar xaf $< -C $(LBUILD)

run:
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	for j in landscape chess2 abyss; do \
		$(TIME) -o $(STEP).tmp $(VBUILD)/install/bin/povray \
		-L$(VBUILD)/install/share/$(SUITE)-*/include +FT -D \
		$(VBUILD)/install/share/$(SUITE)-*/scenes/advanced/$$j.pov \
		>> $(STEP).txt 2>&1; \
		echo $$j:: `cat $(STEP).tmp` >> $(STEP).txt; \
		rm -f $$j.*; \
	done; done

# Skip the testsuite
testsuite:
	true
