# Publish current results up to the build server.
#
# May be called part way through a build to make results available early.
#

-include local.mk
include $(TOPDIR)/lib/common.mk

SUITE ?= $(B)
PATTERN = *.{zip,exe,gz,xz,bz2}

publish: binary logs push

binary-only: binary push

push:
ifeq ($(NOPUBLISH),)
	-ls $(RESULTS)/$(PATTERN) | xargs -P 3 -n 1 $(GPGSIGN)
	find results
	# Push everything but the tarball up to common.  Push one-by-one to not trash the symlinks.
	for i in results/*; do \
	rsync -za $(RSYNC_EXTRAS) --include="*-logs.tar*" --exclude="*.tar.*" $$i/* $(PUBLISH_URL)/$$(basename $$i); \
	done
	# Push the binaries
	-case $(BINARIES_URL) in \
	s3:*) ls $(RESULTS)/$(PATTERN)* | xargs -P 3 -n 1 -I{} s3cmd put -pv {} $(BINARIES_URL) ;; \
	*) rsync -a $(RSYNC_EXTRAS) $(RESULTS)/$(PATTERN)* $(BINARIES_URL) ;; \
	esac
endif

logs: mkdir
	-cp -auf $(B)/*.txt* $(B)/*.time $(RESULTS)/logs/$(SUFFIX)
	-cp -f toplevel.txt $(RESULTS)/logs/$(SUFFIX)

binary: mkdir
	-cp -auf $(B)/$(SUITE)*.tar.* $(RESULTS)

mkdir:
	mkdir -p $(RESULTS)/logs/$(SUFFIX)
