# Build and run Python as a benchmark
#
SUITE = pybench
PUBLISH_SUFFIX = benchmarks

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)
VCFLAGS += -DNDEBUG -g -fwrapv -Wall -Wstrict-prototypes

run:
	-for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	$(VBUILD)/install/bin/python $(LBUILD)/Python-*/Tools/pybench/pybench.py >> $(STEP).txt 2>&1; \
	done

build:
	make -C $(VBUILD)/build $(PARALLEL) OPT="$(VCFLAGS)" LDFLAGS="$(VLDFLAGS)" > $(STEP).txt 2>&1

install:
	make -C $(VBUILD)/build $(PARALLEL) OPT="$(VCFLAGS)" LDFLAGS="$(VLDFLAGS)" install > $(STEP).txt 2>&1

configure:
	echo OPT=$(VCFLAGS) > $(STEP).txt
	echo LDFLAGS=$(VLDFLAGS) >> $(STEP).txt
	(cd $(VBUILD)/build && CFLAGS= ../../Python-2*/configure --prefix=$(TOP)/$(VBUILD)/install) >> $(STEP).txt 2>&1

extract-top: $(TOPDIR)/files/Python-2*.tar.xz
	tar xaf $< -C $(LBUILD)
