# Build and test Python using the compiler
#
SUITE = python

-include local.mk
include $(TOPDIR)/lib/common.mk

all: $(B)/python-publish.stamp

$(B)/python-publish.stamp: $(B)/python-test.stamp

$(B)/python-test.stamp: $(B)/python-build.stamp
	date
	-$(TIME) -o $(@:%.stamp=%.time) make -k -C $(LBUILD)/build test > $(@:%.stamp=%.txt) 2>&1
	touch $@

$(B)/python-build.stamp: $(B)/python-configure.stamp
	$(TIME) -o $(@:%.stamp=%.time) make -C $(LBUILD)/build $(PARALLEL) > $(@:%.stamp=%.txt) 2>&1
	make -C $(LBUILD)/build $(PARALLEL) install >> $(@:%.stamp=%.txt) 2>&1
	touch $@

$(B)/python-configure.stamp: $(B)/python-extract.stamp
	mkdir -p $(LBUILD)/build
	gcc --version >> $(@:%.stamp=%.txt) 2>&1
	(cd $(LBUILD)/build && ../Python-2*/configure \
	--prefix=$(TOP)/$(LBUILD)/install) > $(@:%.stamp=%.txt) 2>&1
	touch $@

$(B)/python-extract.stamp: $(TOPDIR)/files/Python-*.tar.xz
	mkdir -p $(LBUILD)
	tar xaf $< -C $(LBUILD)
	touch $@

.PRECIOUS:: \
	$(B)/python-publish.stamp \
	$(B)/python-test.stamp \
	$(B)/python-build.stamp \
	$(B)/python-configure.stamp \
	$(B)/python-extract.stamp
