# Build and test qemu
#
SUITE = qemu
BUILD_OPTIONS = nocheck

-include local.mk
include $(TOPDIR)/lib/common.mk

ARCHIVE_BASE = $(B)

CONFIGURE_FLAGS = \
	--disable-werror \
	$(QEMU_TARGETS)

include $(LIBDIR)/steps.mk

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	(cd $(VBUILD)/build && \
	../../qemu-*/configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

# Building in parallel takes too much RAM on a PandaBoard
build:
	make -k -C $(VBUILD)/build $(BUILDTARGET) V=1 > $(STEP).txt 2>&1

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
