#!/bin/bash
#
# Reboot if the machine has been up too long and the job needs it.
#

api=$1
hostname=$2

wget="wget --no-proxy -q -O-"

# No point in checking if this user can't reboot.  Allows the tests to
# still run if need be.
[ ! -u $(which reboot) ] && exit 0

uptime=$(cat /proc/uptime | awk '{print $1;}' | awk -F. '{print $1;}')

if [ "$uptime" -gt "600" ]; then
    job=$( $wget "$api/peek/$hostname" )
    klass=$( echo $job | awk '{print $2;}' | awk -F- '{print $1;}' )

    case $klass in
        benchmarks) $wget $api/update/$hostname/rebooting; reboot && sleep 30 ;;
    esac
fi
