# Build and run the benchnt suite (dhrystone, lloops, linpack, whetstone)
#
SUITE = scimark2
PUBLISH_SUFFIX = benchmarks

include local.mk
include $(TOPDIR)/lib/common.mk
include $(LIBDIR)/steps.mk

VCFLAGS ?= -O2 $(TUNE_FLAGS)

run:
	for i in $$(seq $(BENCH_RUNS)); do \
	echo -e \\nRun $$i:: >> $(STEP).txt; \
	$(VBUILD)/$(SUITE)/$(SUITE) >> $(STEP).txt 2>&1; \
	done

build:
	echo VCFLAGS=$(VCFLAGS) > $(STEP).txt
	make -k $(PARALLEL) -C $(VBUILD)/$(SUITE) \
	CC="gcc" LDFLAGS="-lrt" CFLAGS="$(VCFLAGS)" \
	> $(STEP).txt 2>&1

install:
	cd $(VBUILD) && ln -sf $(SUITE) install

extract: $(TOP)/$(TOPDIR)/files/scimark2*zip
	mkdir -p $(VBUILD)/$(SUITE)
	cd $(VBUILD)/$(SUITE) && unzip -q $<
	cat $(TOPDIR)/files/$(SUITE)/*.patch | patch -p1 -d $(VBUILD)/$(SUITE)
