#!/bin/bash
#
# Takes a filename and prints the shard directory to put it into
#

for f in "$@"; do
    base=$( basename $f | sed -r "s#(.+)\.(tar|txt|diff).*#\1#" )
    # binutils-2.22~20110729+git0562f36
    git=$( echo $base | sed -r "s#(.+)[~+][0-9]+([~+]git).+#\1\2#" )
    # cortex-strings-0+bzr21
    dev=$( echo $base | sed -r "s#(.+)([~+])(bzr|git|svn|hg).+#\1\2\3#" )
    # gcc-linaro-4.5-2012.01
    release=$( echo $base | sed -r "s#([^0-9]+)-([0-9]+[0-9.]*[0-9]+)[.-].+#\1-\2#" )

    if [ "$base" != "$git" ]; then echo $git;
    elif [ "$base" != "$dev" ]; then echo $dev;
    elif [ "$base" != "$release" ]; then echo $release;
    else exit -1; fi
done
