# Build and test valgrind
#
SUITE = valgrind

-include local.mk
include $(TOPDIR)/lib/common.mk

# A genoffsets.c bug in VEX means we build in place
BUILD_DIR = $(LBUILD)/$(SUITE)-*

include $(LIBDIR)/steps.mk

CONFIGURE_FLAGS = \
	--enable-tls

configure:
	echo CONFIGURE_FLAGS=$(CONFIGURE_FLAGS) > $(STEP).txt
	cd $(LBUILD)/$(SUITE)-* && ./autogen.sh
	(cd $(LBUILD)/$(SUITE)-* && \
	./configure \
	--prefix=$(TOP)/$(VBUILD)/install \
	$(CONFIGURE_FLAGS) \
	) >> $(STEP).txt 2>&1

extract-top: $(B)/$(B).tar
	tar xaf $< -C $(LBUILD)
	rm -f $<

# Fetch, if needed
$(B)/$(B).tar:
	make -f $(TOPDIR)/lib/fetch.mk fetch B=$(B)
