#!/bin/dash
#
# Post some basic statistics to the scheduler
#

set -e

state=${1:-idle}

. $(dirname $0)/siterc

wget="wget --no-proxy -q"
hostname=`cat /etc/hostname`

$wget -O /dev/null "$SCHEDULER_API/update/$hostname/$state"

# Send some basic statistics
up=`uptime`
load=`echo $up | awk -F, '{print $5;}'`
users=`ps au --no-heading | awk '{print $1;}' | grep -v root | sort | uniq`
users=`echo $users | tr ' ' ,`
use=`df / | awk '" /$" { print $(NF-1); }' | tail -n1 | tr -d %`

args="load=$load&users=$users&use=$use"

temp=$(cat /dev/null /sys/class/thermal/thermal_zone0/temp /sys/class/hwmon/hwmon0/device/temp1_input 2>/dev/null | head -n 1)
if [ -n "$temp" ]; then args="$args&temp=$((temp/1000))"; fi

$wget -O /dev/null "$SCHEDULER_API/load/$hostname?$args"
