#/bin/bash
#
# Spawn a job based on the queues
#
# Example: spawn gcc-4.5 gcc-4.5+svn12345
# or spawn.sh ~/path/to/thing-to-build.tar.xz
#

set -e

base=/var/www/ex.seabright.co.nz/var/scheduler

# Directory this script runs from
here=`dirname $0`

head=$1

# Tidy up head so that you can also supply a path
head=`basename $head`
head=`echo $head | sed -r 's/(.+)\.tar.+/\1/'`

made=${2:-$head}
closest=`$here/closest.py $head $base/spawn/*`

echo Spawning $made into the queue `basename $closest`

# Grab the template, or failing that just touch
for i in $closest/*; do
    cat $i/template.txt > $i/$made.job || touch $i/$made.job
    echo Spawned into `basename $i`
done

touch $base/spawned/$made
